Subject: Re: [tipc-discussion] [RFC: 2.6 patch] net/tipc/: possible cleanups

From: Adrian Bunk <[email-masked]>
Date: Sun, 25 Feb 2007 17:14:11 +0100

On Sat, Feb 24, 2007 at 04:19:19PM -0800, Stephens, Allan wrote:
>...
> 2) There are portions of TIPC's native API which are intended for use by
> driver programmers, but which are not being used by any code that is
> currently in the kernel.  While removing these API's from TIPC will only
> impact these "freeloaders", it has the potential to discourage future
> programmers who *do* want to contribute their work to the kernel by
> removing API's that are apparently necessary/useful when doing coding of
> this sort.

It can be re-added at any time when an in-kernel user comes.

But the most interesting question is:
Why is noone interested in getting his TIPC using drivers merged?

> Regards,
> Al
>...

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed